	subroutine bear(inline,ihr,imin,sec,ideg,iamin,asec,isuc)
C The assumption is that the ra and dec have been printed as 12.3H 12.2h
	character*120 inline
	character*1 sign
	implicit double precision (a-h,o-z)
C step by step
	isuc=0
	i=2
1	continue
	if(inline(i:i).eq.':') then
	read(inline(i-2:i-1),*) ihr
	else
	i=i+1
	if(i.eq.120) return 
	go to 1
	end if
	read(inline(i+1:i+2),*) imin
	read(inline(i+4:i+9),*) sec
	k=i+10
2	if(inline(k:k).eq.':') then
C first see if there's a minus sign or not
	sign=''
	do 3 j=i+10,k
	if(inline(j:j).eq.'-') sign='-'
3	continue
	read(inline(i+10:k-1),*) ideg
	ideg=abs(ideg)
	read(inline(k+1:k+3),*) iamin
	read(inline(k+4:k+8),*) asec
	if(sign.eq.'-') then
	ideg=-ideg
	iamin=-iamin
	asec=-asec
	end if
	isuc=1
	return
	else
	k=k+1
	go to 2
	end if
	end
